DatasetRun
Metadata describing one execution of an evaluation dataset.
Usage profiles
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
runId | string | Optional | Identifier of the dataset or candidate evaluation run. |
datasetId | string | Optional | Identifier of the evaluation dataset. |
name | string | Optional | Name assigned to this execution of the evaluation dataset. |
description | string | Optional | Human-readable description of the resource. |
metadataJson | string | Optional | Additional attributes serialized as a JSON object. |
itemCount | integer (int32) | Optional | Number of dataset items reported for the dataset or run. Minimum: -2147483648. Maximum: 2147483647. |
createdAt | string (date-time) | Optional | Time when this record was created. |
Where used
| Reference | Relationship |
|---|---|
| Get a dataset run | POST /api/v1/evals/get-dataset-run |
| List dataset runs | POST /api/v1/evals/list-dataset-runs |
Download the public reference contract.
Document: DOC-API-MODEL-dataset-run.